# @riscie/eco-update-tag

[![npm (scoped)](https://img.shields.io/npm/v/@riscie/eco-update-tag.svg)](https://img.shields.io/npm/v/@riscie/eco-update-tag)

**Updates the tag of a repo to the next chosen version according the semver symantic.**

## Install

```
$ npm i -g @riscie/eco-update-tag
```

## Usage

```bash
update-tag
```
### Output
```
Latest tag 	 [1.2.2-RC.3]
? Select new tag:
   prerelease 	 [1.2.2-RC.4]
   patch 	 [1.2.2]
   minor 	 [1.3.0]
   major 	 [2.0.0]
❯  quit
```
```
  Latest tag 	 [1.2.2-RC.3]
✔ Select new tag: › minor        [1.3.0]
? Add tag [1.3.0] and push to origin?
❯  yes
   no
```

## Based on
- [semver](https://www.npmjs.com/package/semver)
- [shelljs](https://www.npmjs.com/package/shelljs)
- [prompts](https://www.npmjs.com/package/prompts)